Package groovy.xml.streamingmarkupsupport

# Class Builder

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.xml.streamingmarkupsupport.Builder

All Implemented Interfaces:
  `GroovyObject`

Direct Known Subclasses:
  `BaseMarkupBuilder`

public abstract class Builder extends GroovyObjectSupport

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `Builder.Built`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Map`
  `namespaceMethodMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder(Map namespaceMethodMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Object`
  `bind(Closure root)`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass, setMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `getProperty, invokeMethod, setProperty`

- ## Field Details

  - ### namespaceMethodMap

    protected final Map namespaceMethodMap

- ## Constructor Details

  - ### Builder

    public Builder(Map namespaceMethodMap)

- ## Method Details

  - ### bind

    public abstract Object bind(Closure root)